<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:a4j="http://richfaces.org/a4j"
	xmlns:rich="http://richfaces.org/rich">

<ui:composition template="/templates/template.xhtml">
	<ui:composition template="/templates/template.xhtml">

		<ui:define name="body">
		<f:loadBundle basename="org.inra.ecoinfo.pro.extraction.physicochimie.jsf.physicochimie" var="template"/>
		  <f:loadBundle basename="org.inra.ecoinfo.pro.extraction.jsf.extraction_physicochimie_jsf" var="extractionPCPanel"/>
			<h:outputStylesheet>
		
		
			h2{
				overflow: hidden;
				width: 100%;
			}
			
			p{
				text-indent: 15px;
			}
			
			p.intro{
				font-family: Arial, Verdana,sans-serif;
				font-size: 11px;
			}
	
		
			.barNavigationSteps{
				float:right;
			}
			
			
			
			.titleStep{
				float:left;
			}
			
			.subcontainer{
			}
			
			.stepCurrent{
				font-weight: bold;
				font-size: 1.2em;
			}
			
			.disabled{
				opacity: 0.5;
				filter:alpha(opacity=50);
				cursor: default;
			}
			
				
			.subcontainer{
				overflow: hidden;
				position: relative;
			}
			
			.subcontainer .left{
				float: left;
				width: 68%;
			}
	
			.subcontainer .right{
				float: right;
				width: 29%;
				margin-top: 20px;
			}
			
			
			.selectionEmpty{
				font-weight: bold;
				color: red;
				font-family: Arial, Verdana, sans-serif;
				font-size: 13px;
			}
			
			.headerParametersRequest img{
				float:right;
			}
			
			img.buttonAction{
				cursor: pointer;
				margin-left: 5px;
			}
			
			.buttonsSteps{
				overflow: hidden;
				
			}
			
			.buttonStepNext, .buttonStepPrev{
				padding: 5px 5px 5px 5px;
				font-weight: bold;
			}
			
			.buttonStepNext, .buttonActionParametersRequest{
				
				float: right;
			}			
			
			.buttonStepPrev{
				float: left;
				margin-right: 5px;
			}
			
			.currentStep {
				font-size: 1.5em;
				margin-left: 10px;
			}
			
			.subcontainer .panelControlsLaunch{
				padding: 5px 5px 5px 5px;
				position: absolute;
				left: 30%;
				top: 0px;
			}
			
			.subcontainer  .panelControlsLaunch .control, .subcontainer  .panelControlsLaunch .control a{
				font-size: 15px; 
			}
			
			
			.panelControls {
				border: 2px solid #96B7D6;
				background-color: #ECF3FE;
				padding: 0px 0px 0px 0px;
				float:right;
				margin-top: 7px;
				margin-bottom: 15px;
			}
			
			
			.panelControls .control img{
				float:left;
				margin-right: 3px;
				height: 16px;
			}
			
			.panelControls .control{
				color: black;
				font-weight: bold;
				font-size: 11px;
				font-family: Arial, Verdana, sans-serif;
				text-transform: capitalize;	
			}
			
			.panelControls .control a{
				color: black;
				font-weight: bold;
				text-decoration: none;
			}
	
		.launchWrapper{
			position:relative;
			height: 50px;
		}
		
		.buttonPopupExtraction{	
			float:right;
			margin-top: 5px;
			padding: 3px 3px 3px 3px;
			font-weight: bold;
		}	
			
		.popupCommentExtraction{
			width: 400px;
			overflow: hidden;
		}

		.popupCommentExtraction textarea{
			width: 100%;
		}
			
		
		</h:outputStylesheet>

			<a4j:jsFunction name="updateCommentExtraction"
				action="#{uiBean.extract}" status="statusWaitLonger" render="@none"
				limitRender="true"
				onbegin="#{rich:component('popupCommentExtraction')}.hide()">
				<a4j:param name="param1"
					assignTo="#{uiBean.parametersRequest.commentExtraction}" />
			</a4j:jsFunction>

			<h:form>



				<rich:popupPanel id="popupCommentExtraction" autosized="true"
					modal="true" moveable="true">
					<f:facet name="header">
						<h:outputText escape="false"
							value="#{template.MSG_COMMENT_TITLE_DIALOG}" />
					</f:facet>
					<f:facet name="controls">
						<h:graphicImage name="close.png" library="images"
							styleClass="logout"
							onclick="#{rich:component('popupCommentExtraction')}.hide(); return false;" />
					</f:facet>

					<h:panelGroup layout="block" styleClass="popupCommentExtraction">
						<h:outputText
							value="#{template.MSG_COMMENT_EXTRACTION}"
							styleClass="intro" />
						<br />
						<h:inputTextarea id="textAreaCommentExtraction"
							value="#{uiBean.parametersRequest.commentExtraction}" />
						<br />
						<a4j:commandButton value="#{template.MSG_EXTRACTION_EXECUTION}" render="@none"
							styleClass="buttonPopupExtraction" execute="@none"
							limitRender="true"
							onclick="updateCommentExtraction(#{rich:element('textAreaCommentExtraction')}.value)" />
					</h:panelGroup>

				</rich:popupPanel>

				<h1>
					<h:panelGroup styleClass="navigation">
						<h:panelGroup styleClass="navigationItem">
							<h:graphicImage name="home.png" library="images" />
							<h:outputLink value="index.jsf">#{template.MSG_TITLE_PART1}  </h:outputLink>
						</h:panelGroup>
						<h:panelGroup styleClass="navigationItem">#{template.MSG_TITLE_PART2}  </h:panelGroup>
					</h:panelGroup>
					<h:panelGroup styleClass="title">
						<h:graphicImage name="download.png" library="images" />
						<h:outputText value="#{titleExtraction}" />
					</h:panelGroup>
				</h1>
				<p class="intro-main">
					<h:outputText value="#{introMain}" />
				</p>

				<h:panelGroup layout="block" styleClass="subcontainer">
					<h:panelGroup layout="block" styleClass="left">
						<h:panelGroup id="navigationSteps">
							<h2>
								<a4j:commandButton id="prevStepButton"
									value="#{template.MSG_STEP_PREV}" styleClass="buttonStepPrev"
									action="#{uiBean.prevStep}" rendered="#{uiBean.step>1}"
									render="parametersRequestSteps, workspace, navigationSteps">
								</a4j:commandButton>
								<h:panelGroup styleClass="titleStep">
									<h:outputText value="#{template.MSG_STEP} #{uiBean.titleForStep}" />
									<h:panelGroup id="validImage">
										<h:graphicImage name="accepted.png" library="images"
											rendered="#{uiBean.isStepValid}" />
									</h:panelGroup>
								</h:panelGroup>
								<a4j:commandButton id="nextStepButton" value="#{template.MSG_STEP_NEXT}"
									styleClass="buttonStepNext" action="#{uiBean.nextStep}"
									render="parametersRequestSteps, workspace,navigationSteps"
									rendered="#{uiBean.step!=5}"
									disabled="#{not uiBean.isStepValid or uiBean.step==4}">
								</a4j:commandButton>
							</h2>
						</h:panelGroup>
<!--						<rich:togglePanel id="workspace"
							binding="#{uiBean.togglePanel}">
							<ui:insert name="togglePanelItems" />

						</rich:togglePanel>-->
					</h:panelGroup>

					<h:panelGroup layout="block" styleClass="right"
						id="parametersRequest">

<!--						<rich:accordion switchType="ajax" id="parametersRequestSteps"
							itemHeaderClass="headerParametersRequest"
							binding="#{uiBean.accordion}" onitemchange="#{uiBean.changeStep}">
							<ui:insert name="accordionItems" />
						</rich:accordion>-->

						<h:panelGroup
							styleClass="panelControlsWrapper launchWrapper #{uiBean.parametersRequest.dateStepIsValid?'':'disabled'}"
							layout="block">
							<h:panelGroup styleClass="panelControls panelControlsLaunch">
								<h:panelGroup styleClass="control">
									<a4j:commandLink
										oncomplete="#{rich:component('popupCommentExtraction')}.show();"
										execute="@none" limitRender="true"
										render="popupCommentExtraction"
										disabled="#{not uiBean.parametersRequest.formIsValid}">
										<h:graphicImage value="#{resource['images:check.png']}" />
										<h:outputText value="#{template.MSG_EXTRACTION_EXECUTION}" />
									</a4j:commandLink>
								</h:panelGroup>
							</h:panelGroup>
						</h:panelGroup>
					</h:panelGroup>
				</h:panelGroup>
			</h:form>
		</ui:define>
	</ui:composition>
</ui:composition>
</html>